<?php
	include_once("core/basededatos.php");
	include_once("core/Usuario.php");
	include_once("core/Paciente.php");
	include_once("core/Recibo.php");
	include_once("core/Semana.php");
	include_once("core/Historia.php");
	session_start();
	function GetMos($mos){		
		switch($mos)
		{
			case "ENERO":
				return "01";
				break;
			case "FEBRERO":
				return "02";
				break;
			case "MARZO":
				return "03";
				break;
			case "ABRIL":
				return "04";
				break;
			case "MAYO":
				return "05";
				break;
			case "JUNIO":
				return "06";
				break;
			case "JULIO":
				return "07";
				break;
			case "AGOSTO":
				return "08";
				break;
			case "SEPTIEMBRE":
				return "09";
				break;
			case "OCTUBRE":
				return "10";
				break;
			case "NOVIEMBRE":
				return "11";
				break;
			case "DICIEMBRE":
				return "12";
				break;
		}	
	}	
	function GetMes($mes){		
		switch($mes)
		{
			case "1":
				return "ENERO";
				break;
			case "2":
				return "FEBRERO";
				break;
			case "3":
				return "MARZO";
				break;
			case "4":
				return "ABRIL";
				break;
			case "5":
				return "MAYO";
				break;
			case "6":
				return "JUNIO";
				break;
			case "7":
				return "JULIO";
				break;
			case "8":
				return "AGOSTO";
				break;
			case "9":
				return "SEPTIEMBRE";
				break;
			case "10":
				return "OCTUBRE";
				break;
			case "11":
				return "NOVIEMBRE";
				break;
			case "12":
				return "DICIEMBRE";
				break;
		}	
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=ISO-8859-1" />
<link type="text/css" rel="stylesheet" media="all" href="../style.css"/>
<link rel="shortcut icon" type="image/x-icon" href="../favicon.ico">
<!-- include jQuery library -->
<script type="text/javascript" src="../js/jquery.js"></script>
<script type="text/javascript" src="../js/vanadium.js"></script>
<script language="javascript">
	function seguro()
	{
		if(confirm("¿Datos correctos?"))
		{
			return true;
		}
		return false;
	}
	function abrir(paciente,concepto,cantidad,dia,mes,ano)
	{
		window.open("./pdf/recibo.php?Pac="+paciente+"&concepto="+concepto+"&cantidad="+cantidad+"&dia="+dia+"&mes="+mes+"&ano="+ano);		
	}
</script>
<title>CECOM - Centro de Cirugía Oral y Maxilofacial - La Paz B.C.S.</title>
</head>
<body>
	<?
		$id = $_GET['id'];
		if (!$_SESSION['ObjetoUsuario']) { ?>
			 <script language="javascript">window.location="consultorio.php";</script>
		<?php
        } else {
			$usuario = $_SESSION['ObjetoUsuario'];
			$usuario->acceso($id);
		}
	?>
    <div align="center">
    	<div id="container">
        	<div id="cuerpo">
            <!--- Header --->
                <div id="arribapagina"></div>
                <div id="arriba">
                    <div id="fondo_izq"></div>
                    <div id="logo"><img alt="cecom" src="../img/logo_CECOM.jpg" width="400" height="150" /></div>
                    <div id="fondo_izq_sistema"><h2 align="center">Sistema Consultorio</h2>
                    	<div id="menu_sistema"><?php if(!$_GET['paso']) { ?><a class="item_menu" href="pagos.php?id=<?php echo $id; ?>">- Regresar</a> <?php } else if($_GET['paso']==2) { ?><a class="item_menu" href="nuevoRecibo.php?id=<?php echo $id; ?>">- Regresar</a> <?php } else if($_GET['paso']==3) { ?><a class="item_menu" href="pagos.php?id=<?php echo $id; ?>">- Terminar</a> <?php } ?><a class="item_menu_exit" href="consultorio.php">- Salir</a></div>
                    </div>
                    
                </div>
                <div id="separacion_linea"></div>
                
            <!---Cuerpo--->           
            <div id="cuerpo_sistema">
            <?php
            $paciente=new Paciente();
            if(!$_GET['paso'])
            {
				?>
				<h3>Paso 1: Buscar Paciente.</h3>
				<form method="post">
					<table width="750" border="0">
						<tr>
							<td width="150" align="left">Nombre del Paciente:</td>
							<td width="500" align="left"><input name="txt_nombre" type="text" size="70" maxlength="255" class=":required" /></td>
							<td width="100" align="left"><input name="Enviar" type="submit" value="Buscar" /></td>
						</tr>
					</table>
				</form>
				<p><a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=A">A</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=B">B</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=C">C</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=D">D</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=E">E</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=F">F</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=G">G</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=H">H</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=I">I</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=J">J</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=K">K</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=L">L</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=M">M</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=N">N</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=Ñ">Ñ</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=O">O</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=P">P</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=Q">Q</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=R">R</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=S">S</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=T">T</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=U">U</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=V">V</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=W">W</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=X">X</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=Y">Y</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=Z">Z</a> - <a href="nuevoRecibo.php?id=<?php echo $id; ?>&see=all">Todos</a></p>			
				<?php 
				if ($_POST['Enviar']) {
					$paciente = new Paciente();
					echo $paciente->resultadosbusquedaRecibo($_POST['txt_nombre'],$id);
				}
				if ($_GET['see']) {
					$paciente = new Paciente();
					$paciente->GetAllRecibos($_GET['see'],$id);                             	
				}		
			}
			else if($_GET['paso']==2)
			{				
				$paciente->id=$_GET['Pac'];
				$paciente->obtenerdatos();
				?>
				<h3>Paso 2: Llenar Datos.</h3>
				<form method="post" action="nuevoRecibo.php?id=<?php echo $id; ?>&Pac=<?php echo $_GET['Pac']; ?>&paso=3" onSubmit="return seguro()">
					<table width="750" border="0">
						<tr>
							<td width="80" align="left">Paciente:</td>
							<td width="500" align="left"><input name="txt_nombre" type="text" size="70" maxlength="255" class=":required" value="<?php echo $paciente->nombre." ".$paciente->apellidop." ".$paciente->apellidom; ?>" /></td>							
						</tr>
						<tr>
							<td>Direcci&oacute;n:</td>
							<td><input type="text" name="txt_direccion" size="70" value="<?php echo $paciente->direccion; ?>"></td>
						</tr>
						<tr>
							<td>Concepto:</td>
							<td><input type="text" name="concepto" size="70" value="<Descripci&oacute;n>"></td>
						</tr>						
						<tr>
							<td>Cantidad:</td>
							<td><input type="text" name="cantidad" size="15" value="0.00"></td>
						</tr>						
						<tr>
							<td>Lugar y Fecha:</td>
							<td>La Paz, B.C.S. <input type="text" name="dia" size="4" value="<?php echo date('d',time()); ?>"> de <input type="text" name="mes" size="20" value="<?php echo GetMes(date('m',time())); ?>"> de <input type="text" name="ano" size="6" value="<?php echo date('Y',time()); ?>"></td>							
						</tr>
						<tr>
							<td colspan="2"><input type="submit" name="Recibo" value="Crear Recibo"></td>
						</tr>
					</table>
				</form>
				<?php
			}
			else if($_GET['paso']==3)
			{
				$paciente->id=$_GET['Pac'];
				$paciente->direccion=$_POST['txt_direccion'];
				$paciente->ModificarDireccion();
				$recibo=new Recibo();
				$recibo->id_paciente=$paciente->id;
				$recibo->direccion=$_POST['txt_direccion'];
				$recibo->concepto=$_POST['concepto'];
				$recibo->cantidad=$_POST['cantidad'];
				$mes=GetMos($_POST['mes']);
				$recibo->fecha=$_POST['ano']."-".$mes."-".$_POST['dia'];
				$recibo->Insertar();
				$_SESSION['recibo']=$recibo;
				?>
				<h3>Paso 3: Imprimir.</h3>				
				<table width="750" border="0">
					<tr>
						<td width="80" align="left">Paciente:</td>
						<td width="500" align="left"><?php echo $_POST['txt_nombre']; ?></td>							
					</tr>	
					<tr>
						<td>Concepto:</td>
						<td><?php echo $_POST['concepto']; ?></td>
					</tr>				
					<tr>
						<td>Cantidad:</td>
						<td><?php echo $_POST['cantidad']; ?></td>
					</tr>					
					<tr>
						<td>Lugar y Fecha:</td>
						<td>La Paz, B.C.S. <?php echo $_POST['dia']; ?> de <?php echo $_POST['mes']; ?> de <?php echo $_POST['ano']; ?></td>							
					</tr>
					<tr>
						<td colspan="2"><input type="button" name="Abrir" value="Imprimir Recibo" onClick="abrir(<?php echo $paciente->id; ?>,'<?php echo $_POST['concepto']; ?>','<?php echo $_POST['cantidad']; ?>',<?php echo $_POST['dia']; ?>,'<?php echo $_POST['mes']; ?>',<?php echo $_POST['ano']; ?>)"></td>
					</tr>
				</table>
				<?php
			}
			?>            
            </div>    
            
            <!--Pie-->    
        	<div id="footer">
            <p>CECOM Centro de Cirugía Oral y Maxilofacial</p>
            </div>
       </div>
	</div>
</body>
</html>
